<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Category
            </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li *ngFor="let title of category">
                            <a (click)="getByCategory(title)" class="dropdown-item">{{title}}</a>
                        </li>
                    </ul>
                </li>
            </ul>
            <div class="d-flex">
                <input type="text" class="form-control me-2" [(ngModel)]="name" aria-describedby="helpId" placeholder="Search" (keyup)="dataGet()">
            </div>
        </div>
    </div>
</nav>



<div class="row mt-5 d-flex justify-content-center">

    <div class="col-8" *ngIf="toBooking == null">
        <!-- List by Search -->
        <div class="card m-3" *ngFor="let item of listData">
            <div class="card-body">
                <h5 class="card-title">{{item.name}}</h5>
                <ul class="list-group">

                    <li *ngFor="let i of item.menu" class="list-group-item">{{i}} </li>
                </ul>
                <a (click)="opentoBooking(item)" class="btn btn-primary m-1">จอง</a>
            </div>
        </div>

        <!-- List by category -->
        <div class="card m-3" *ngFor="let item of listDataByCat">
            <div class="card-body">
                <h5 class="card-title">{{item.name}}</h5>
                <div class="row">
                    <span *ngFor="let category of item.category" class=" col-1 badge rounded-pill bg-light text-dark">{{category}}</span>
                </div>
                <a (click)="opentoBooking(item)" class="btn btn-primary m-1">จอง </a>
            </div>
        </div>
    </div>


    <div class="col-8" *ngIf="toBooking != null">
        <div class="card m-3 p-2 " *ngIf="indexBook == 0">
            <div class="card-body">
                <h4 class="card-title">{{toBooking?.name??''}}</h4>
                <label for="customRange2" class="form-label">เลือกเวลา : {{timeBooking}}.00 น.</label>
                <input type="range" [(ngModel)]="timeBooking" class="form-range" [min]="toBooking.openTime " [max]="toBooking.closeTime - 1" (ngModelChange)="timeChanged()">
                <div class="row  d-flex justify-space-around m-2" *ngFor="let table of bookingTable">
                    <div class="col-3">
                        {{table?.title??''}}
                    </div>
                    <div class="col-3">
                        โต๊ะละ {{table?.byunit??''}} ที่นั่ง
                    </div>
                    <div class="col-3">
                        ว่าง {{table?.unit??''}}
                    </div>
                    <div class="col-3">
                        <div class="form-group">
                            <input class="form-control form-control-sm" [(ngModel)]='table.select' type="number" placeholder="Unit" min="0" [max]="table.unit" (ngModelChange)="selectChanged()">
                        </div>
                    </div>
                </div>
                <div>
                    <div class="alert alert-danger" role="alert" *ngIf="onSelected >2">
                        กำหนด 1 ท่านจองไม่เกิน 2 โต๊ะ
                    </div>

                    <button type="button" *ngIf="onSelected <= 2 && onSelected > 0" class="btn btn-primary mr-1" (click)='bookingUp()'>จองโต๊ะ</button>
                    <button type="button" class="btn btn-light " (click)='reData()'>ยกเลิก</button>
                </div>


            </div>
        </div>
        <div class="card m-3 p-2" *ngIf="indexBook > 0">
            <div class="row g-3">
                <p>
                    ระบบได้ทำการจองโต๊ะให้แล้ว กรุณาระบุชื่อภายใน 1 นาที เพื่อยืนยันการจอง หากคุณไม่ระบุชื่อภายในเวลาที่กำหนด ระบบจะยกเลิกการจอง และโต๊ะที่คุณจองจะกลับสู่สถานะว่าง
                </p>

                <div class="col-auto">
                    <input type="text" class="form-control" id="nameconfirm" [(ngModel)]='nameCustumer' placeholder="name">
                </div>
                <div class="col-auto">
                    <button type="button" class="btn btn-primary" (click)='inputName()'> ยืนยันการจอง </button>
                    <button type="button" class="btn btn-light " (click)='reData()'>ยกเลิก</button>
                </div>
            </div>
        </div>

    </div>

    <div class="row mt-5 d-flex justify-content-center">
        <div class="col-8" *ngIf="success">
            <div class="card">
                <h5 class="card-header">การจองสำเร็จ </h5>
                <div class="card-body">
                    <h5 class="card-title">หมายเลขการจอง: {{myBooking.id}}</h5>
                    <p class="card-text">ชื่อผู้จอง: คุณ {{myBooking.customer}}</p>
                    <p class="card-text">ร้าน: {{myBooking.name}} </p>
                    <p class="card-text">วันที่: {{myBooking.date | date:'dd/MM/yyyy'}}</p>
                    <p class="card-text">เวลา: {{myBooking.timeBokking}}:00 น.</p>
                    <span>โต๊ะ</span>
                    <ul class="list-group list-group-flush">
                        <li *ngFor="let item of myBooking.table" class="list-group-item"> {{item.title}} {{item.select}} โต๊ะ</li>

                    </ul>
                    <div class=" d-flex justify-content-end">
                        <a class="btn btn-primary mt-2" (click)="success = false">สำเร็จ</a>
                    </div>

                </div>
            </div>
        </div>
    </div>


    <a class="fixedButton" routerLink="/admin">
        <div class="roundedFixedBtn">Admin</div>
    </a>